from django.contrib import admin
from .models import User
from django.contrib.auth.models import Group


admin.site.unregister(Group)


@admin.register(User)
class UserAdmin(admin.ModelAdmin):
    # fields = ['id', 'login', 'is_superuser', 'registered', 'last_password_change', 'last_login']
    list_display = ['id', 'login', 'is_superuser', 'registered', 'last_password_change', 'last_login']
    readonly_fields = ['id', 'registered', 'last_login', 'last_password_change']
